matrix_decompose.hpp File Reference

GLM_GTX_matrix_decompose More...

Go to the source code of this file.

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL bool | decompose (mat< 4, 4, T, Q > const &modelMatrix, vec< 3, T, Q > &scale, qua< T, Q > &orientation, vec< 3, T, Q > &translation, vec< 3, T, Q > &skew, vec< 4, T, Q > &perspective)
| Decomposes a model matrix to translations, rotation and scale components. More...

## Detailed Description

GLM_GTX_matrix_decompose

See also
  Core features (dependence)

Definition in file matrix_decompose.hpp.